CVE-2020-9484: Apache Tomcat Session 反序列化代码执行漏洞通告

CVE-2020-9484: Apache Tomcat Session 反序列化代码执行漏洞通告

360-CERT [三六零CERT](javascript:void(0)😉 昨天

img

0x00 漏洞背景

2020年05月21日, 360CERT监测发现 Apache 官方发布了 Apache Tomcat 远程代码执行 的风险通告,该漏洞编号为 CVE-2020-9484,官方对该漏洞评级:高危

Apache Tomcat 是一个开放源代码、运行servletJSP Web应用软件的基于Java的Web应用软件容器。

Tomcat使用了自带session同步功能时,使用不安全的配置(没有使用EncryptInterceptor)会存在反序列化漏洞,攻击者通过精心构造的数据包, 可以对使用了自带session同步功能的Tomcat服务器进行攻击。

对此,360CERT建议广大用户及时安装最新补丁,做好资产自查/自检/预防工作,以免遭受黑客攻击。

0x01 风险等级

360CERT对该漏洞进行评定

评定方式等级
威胁等级中危
影响面一般

0x02 漏洞详情

利用该漏洞需要满足如下四个条件:

  1. 攻击者能够控制服务器的文件的内容和名称。
  2. 服务器被配置为使用PersistenceManagerFileStore
  3. PersistenceManager配置了sessionAttributeValueClassNameFilter="null"(默认值,除非使用了SecurityManager)或者其他非常宽松的过滤器,攻击者就能够对提供的对象进行反序列化。
  4. 攻击者知道从FileStore使用的存储位置到攻击者所控制的文件的相对文件路径。

0x03 影响版本

  • Apache Tomcat : 10.0.0-M1 to 10.0.0-M4
  • Apache Tomcat : 9.0.0.M1 to 9.0.34
  • Apache Tomcat : 8.5.0 to 8.5.54
  • Apache Tomcat : 7.0.0 to 7.0.103

0x04 修复建议

通用修补建议:

  • 升级到 Apache Tomcat 10.0.0-M5 及以上版本
  • 升级到 Apache Tomcat 9.0.35 及以上版本
  • 升级到 Apache Tomcat 8.5.55 及以上版本
  • 升级到 Apache Tomcat 7.0.104 及以上版本

临时修补建议:

禁止使用Session持久化功能FileStore

0x05 相关空间测绘数据

360安全大脑-Quake网络空间测绘系统通过对全网资产测绘,发现Apache Tomcat在国内外均有广泛使用,具体分布如下图所示。

img

0x06 产品侧解决方案

360城市级网络安全监测服务

360安全大脑的QUAKE资产测绘平台通过资产测绘技术手段,对该类 漏洞/事件 进行监测,请用户联系相关产品区域负责人获取对应产品。

0x07 时间线

2020-05-20 apache官方发布预警

2020-05-21 360CERT发布预警

0x08 参考链接

CVE-2020-9484 Apache Tomcat Remote Code Execution via session persistence[https://lists.apache.org/thread.html/r77eae567ed829da9012cadb29af17f2df8fa23bf66faf88229857bb1%40%3Cannounce.tomcat.apache.org%3E]

转载自https://mp.weixin.qq.com/s/ChDtD1FSzGedjfr6M-XIOw

admin-root 系统安全 web安全 安全架构
每个人都可以成为黑客,也许他就在你身边,也许...那就是未来的你
┃  ┏┃┃┃┏┛
┃  ━┛━┛┏┛  
━┛ ❤️  ━┛
本人小菜鸟一枚,公众号里有粉丝群和我的联系方式,有问题我会尽力解答的